      implicit real*8 (a-h,o-z)

      write(*,*) ' Gib nr,nx:'
      read(*,*) nr,nx
 
      write(*,*) ' Gib ra,re:'
      read(*,*) ra,re

      x=.5

      do 100 i=1,nr
   
        r=ra+(i-1.)*(re-ra)/(nr-1.)

        do 200 j=1,200

          x=r*x*(1.d0-x)

200     continue

        do 210 j=1,nx

          x=r*x*(1-x)

          write(10,*) r,x

210     continue

100   continue

      end
